Loading...
Searching...
No Matches
Dune::MetaType< T > Struct Template Reference
Common » Utilities » Type Utilities

A type that refers to another type. More...

`#include <dune/common/typelist.hh>`

## Public Types

using | type = T
| The referred-to type.

## Detailed Description

template<class T>
struct Dune::MetaType< T >

A type that refers to another type.

The referred-to type can be accessed using the contained typedef type or, if you have a MetaType object by using the dereferencing operator.

MetaType<T> is an empty literal class. Objects of type MetaType<T> can still be used even if T is incomplete or non-constructible. They can even be used if T is complete but non-instatiable (e.g. std::tuple<void>), although you need to be extra careful to avoid attempts to instantiate the template parameter T due to argument-dependent lookup (ADL).

Objects of type MetaType are passed to the generic lambda when iterating over a TypeList using Hybrid::forEach().

## Member Typedef Documentation

## type

template<class T>

using Dune::MetaType< T >::type = T

The referred-to type.

The documentation for this struct was generated from the following file:

- typelist.hh